Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(52)

Issue 551023002: aw: Skip hardware onDraw when visible rect is empty (Closed)

Created:
4 years, 11 months ago by boliu
Modified:
4 years, 11 months ago
Reviewers:
hush (inactive)
CC:
chromium-reviews, android-webview-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Project:
chromium
Visibility:
Public.

Description

aw: Skip hardware onDraw when visible rect is empty Framework does not clamp onDraw to only the visible area. However must still request functor in this case to support rt-side animation, and to obtain the correct draw matrix. This means HardwareRenderer must be able to handle not having a parent frame available. BUG=412623 Committed: https://crrev.com/693c6a04c69d69a1240e4b83e2ec7fea459acda4 Cr-Commit-Position: refs/heads/master@{#294093}

Patch Set 1 #

Total comments: 3

Patch Set 2 : remove unrelated change #

Unified diffs Side-by-side diffs Delta from patch set Stats (+8 lines, -8 lines) Patch
M android_webview/browser/browser_view_renderer.cc View 1 1 chunk +3 lines, -0 lines 0 comments Download
M android_webview/browser/hardware_renderer.cc View 3 chunks +5 lines, -8 lines 0 comments Download

Messages

Total messages: 17 (2 generated)
boliu
does this work?
4 years, 11 months ago (2014-09-08 15:38:39 UTC) #2
hush (inactive)
On 2014/09/08 15:38:39, boliu wrote: > does this work? yeah. It works for Vice app ...
4 years, 11 months ago (2014-09-08 20:55:42 UTC) #3
boliu
On 2014/09/08 20:55:42, hush wrote: > On 2014/09/08 15:38:39, boliu wrote: > > does this ...
4 years, 11 months ago (2014-09-08 21:16:18 UTC) #4
hush (inactive)
> The correct thing there would be transform the screen rect to surface space, and ...
4 years, 11 months ago (2014-09-08 21:58:16 UTC) #5
boliu
On 2014/09/08 21:58:16, hush wrote: > > The correct thing there would be transform the ...
4 years, 11 months ago (2014-09-08 22:01:37 UTC) #6
hush (inactive)
Okay... If it is a general consistent policy that we prefer smoothness to correctness, (I ...
4 years, 11 months ago (2014-09-08 22:45:40 UTC) #7
hush (inactive)
https://codereview.chromium.org/551023002/diff/1/android_webview/browser/browser_view_renderer.cc File android_webview/browser/browser_view_renderer.cc (right): https://codereview.chromium.org/551023002/diff/1/android_webview/browser/browser_view_renderer.cc#newcode101 android_webview/browser/browser_view_renderer.cc:101: kTileMultiplier *= 2; why do we do this? By ...
4 years, 11 months ago (2014-09-09 00:06:02 UTC) #8
boliu
https://codereview.chromium.org/551023002/diff/1/android_webview/browser/browser_view_renderer.cc File android_webview/browser/browser_view_renderer.cc (right): https://codereview.chromium.org/551023002/diff/1/android_webview/browser/browser_view_renderer.cc#newcode101 android_webview/browser/browser_view_renderer.cc:101: kTileMultiplier *= 2; On 2014/09/09 00:06:02, hush wrote: > ...
4 years, 11 months ago (2014-09-09 00:07:20 UTC) #9
hush (inactive)
https://codereview.chromium.org/551023002/diff/1/android_webview/browser/browser_view_renderer.cc File android_webview/browser/browser_view_renderer.cc (right): https://codereview.chromium.org/551023002/diff/1/android_webview/browser/browser_view_renderer.cc#newcode101 android_webview/browser/browser_view_renderer.cc:101: kTileMultiplier *= 2; cool. Get rid of this and ...
4 years, 11 months ago (2014-09-09 00:09:45 UTC) #10
boliu
I'm still waiting for why this fixes anything first before submitting..
4 years, 11 months ago (2014-09-09 00:10:31 UTC) #11
boliu
On 2014/09/09 00:10:31, boliu wrote: > I'm still waiting for why this fixes anything first ...
4 years, 11 months ago (2014-09-09 00:11:08 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/boliu@chromium.org/551023002/20001
4 years, 11 months ago (2014-09-10 02:21:22 UTC) #14
hush (inactive)
updated internal bug (b/17403173) about what's happening and why this fix works. Lets' check this ...
4 years, 11 months ago (2014-09-10 03:27:15 UTC) #15
commit-bot: I haz the power
Committed patchset #2 (id:20001) as ab8ab71b035d4325912d30cbb34fc867961181f2
4 years, 11 months ago (2014-09-10 03:31:41 UTC) #16
commit-bot: I haz the power
4 years, 11 months ago (2014-09-10 03:58:50 UTC) #17
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/693c6a04c69d69a1240e4b83e2ec7fea459acda4
Cr-Commit-Position: refs/heads/master@{#294093}

Powered by Google App Engine
This is Rietveld 408576698